Download it now!
Bug 129192 - Sharing a file will crash the Android app
Summary: Sharing a file will crash the Android app
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Editor (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: ARM Android
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 20:11 UTC by Nicolas Christener
Modified: 2019-12-13 14:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-12-04 20:11:11 UTC
Description:
Tapping "share" on the context menu of a file (the one showing up after a long press on a file in the file view of the app) will crash the app.  

Steps to Reproduce:
1. Open the Android app - the file view shows up
2. Long press on an existing file
3. Tap on "share"

Actual Results:
The app crashes.

Expected Results:
A share dialog should show up.


Reproducible: Always


User Profile Reset: No



Additional Info:
Tested with the release of 2019-12-03 on Android 8.1.x
Comment 1 Xisco Faulí 2019-12-10 11:03:26 UTC
Moving to NEW
Comment 2 Commit Notification 2019-12-13 14:54:10 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/online/commit/468595e949118cb894d12cc3c210ff70f3d970db

tdf#129192: Implement sharing from the shell.
Comment 3 Jan Holesovsky 2019-12-13 14:58:24 UTC
Nicolas: Should be fixed now, thanks for the report! :-)